org.springframework.aop.config

## Class AopConfigUtils

- java.lang.Object
- - org.springframework.aop.config.AopConfigUtils

    public abstract class AopConfigUtils
    extends Object

Utility class for handling registration of AOP auto-proxy creators.

Only a single auto-proxy creator can be registered yet multiple concrete implementations are available. Therefore this class wraps a simple escalation protocol, allowing classes to request a particular auto-proxy creator and know that class, `or a subclass thereof`, will eventually be resident in the application context.

Since:
  2.5
Author:
  Rob Harrop, Juergen Hoeller, Mark Fisher
See Also:
  `AopNamespaceUtils`

### Field Summary

Fields
`static String` `AUTO_PROXY_CREATOR_BEAN_NAME` The bean name of the internally managed auto-proxy creator.

### Constructor Summary

Constructors
Constructor and Description
`AopConfigUtils()`

### Method Summary

Methods
`static void` `forceAutoProxyCreatorToUseClassProxying(BeanDefinitionRegistry registry)`
`static BeanDefinition` `registerAspectJAnnotationAutoProxyCreatorIfNecessary(BeanDefinitionRegistry registry)`
`static BeanDefinition` `registerAspectJAnnotationAutoProxyCreatorIfNecessary(BeanDefinitionRegistry registry, Object source)`
`static BeanDefinition` `registerAspectJAutoProxyCreatorIfNecessary(BeanDefinitionRegistry registry)`
`static BeanDefinition` `registerAspectJAutoProxyCreatorIfNecessary(BeanDefinitionRegistry registry, Object source)`
`static BeanDefinition` `registerAutoProxyCreatorIfNecessary(BeanDefinitionRegistry registry)`
`static BeanDefinition` `registerAutoProxyCreatorIfNecessary(BeanDefinitionRegistry registry, Object source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AUTO_PROXY_CREATOR_BEAN_NAME

    public static final String AUTO_PROXY_CREATOR_BEAN_NAME

The bean name of the internally managed auto-proxy creator.

See Also:
  Constant Field Values

### Constructor Detail

#### AopConfigUtils

    public AopConfigUtils()

### Method Detail

#### registerAutoProxyCreatorIfNecessary

    public static BeanDefinition registerAutoProxyCreatorIfNecessary(BeanDefinitionRegistry registry)

#### registerAutoProxyCreatorIfNecessary

    public static BeanDefinition registerAutoProxyCreatorIfNecessary(BeanDefinitionRegistry registry,
                                                     Object source)

#### registerAspectJAutoProxyCreatorIfNecessary

    public static BeanDefinition registerAspectJAutoProxyCreatorIfNecessary(BeanDefinitionRegistry registry)

#### registerAspectJAutoProxyCreatorIfNecessary

    public static BeanDefinition registerAspectJAutoProxyCreatorIfNecessary(BeanDefinitionRegistry registry,
                                                            Object source)

#### registerAspectJAnnotationAutoProxyCreatorIfNecessary

    public static BeanDefinition registerAspectJAnnotationAutoProxyCreatorIfNecessary(BeanDefinitionRegistry registry)

#### registerAspectJAnnotationAutoProxyCreatorIfNecessary

    public static BeanDefinition registerAspectJAnnotationAutoProxyCreatorIfNecessary(BeanDefinitionRegistry registry,
                                                                      Object source)

#### forceAutoProxyCreatorToUseClassProxying

    public static void forceAutoProxyCreatorToUseClassProxying(BeanDefinitionRegistry registry)